#pragma once

#include "PdfObject.h"

class PdfPage;
using PdfPagePtr = std::unique_ptr<PdfPage>;

class PdfPageTree : public PdfObject
{
public:
    PdfPageTree();

    unsigned indexObjects(unsigned count) override;

    std::string toString(PdfXRefTable* xRefTable) override;

    void updateDictionary() override;

private:
    PdfPagePtr mRootPage;
};
